---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.karaf-camel-log/iconUrl: "img/icons/camel.svg"
    description: "A simple Camel route in Karaf container"
    fabric8.karaf-camel-log/summary: "A simple Camel route in Karaf container"
  labels: {}
  name: "karaf-camel-log"
objects:
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.131"
      fabric8.io/git-commit: "e70922f35d9b6e30987f8dbddb54e201a767257f"
      fabric8.io/build-url: "http://null:80/job/oss-parent/4"
      fabric8.io/build-id: "4"
    labels:
      project: "karaf-camel-log"
      provider: "fabric8"
      version: "2.2.131"
      group: "quickstarts"
    name: "karaf-camel-log"
  spec:
    replicas: 1
    selector:
      project: "karaf-camel-log"
      provider: "fabric8"
      version: "2.2.131"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "karaf-camel-log"
          provider: "fabric8"
          version: "2.2.131"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/quickstart-karaf-camellog:2.2.131"
          name: "karaf-camel-log"
          ports:
          - containerPort: 8181
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
